JcaPKCS10CertificationRequest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.pkcs.jcajce

## Class JcaPKCS10CertificationRequest

- java.lang.Object
- - org.bouncycastle.pkcs.PKCS10CertificationRequest
  - - org.bouncycastle.pkcs.jcajce.JcaPKCS10CertificationRequest

-     public class JcaPKCS10CertificationRequest
      extends PKCS10CertificationRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaPKCS10CertificationRequest(byte[] encoding)`
    `JcaPKCS10CertificationRequest(org.bouncycastle.asn1.pkcs.CertificationRequest certificationRequest)`
    `JcaPKCS10CertificationRequest(PKCS10CertificationRequest requestHolder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.PublicKey` | `getPublicKey()`
    `JcaPKCS10CertificationRequest` | `setProvider(java.security.Provider provider)`
    `JcaPKCS10CertificationRequest` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class org.bouncycastle.pkcs.PKCS10CertificationRequest

      `equals, getAttributes, getAttributes, getEncoded, getSignature, getSignatureAlgorithm, getSubject, getSubjectPublicKeyInfo, hashCode, isSignatureValid, toASN1Structure`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaPKCS10CertificationRequest

          public JcaPKCS10CertificationRequest(org.bouncycastle.asn1.pkcs.CertificationRequest certificationRequest)

    - #### JcaPKCS10CertificationRequest

          public JcaPKCS10CertificationRequest(byte[] encoding)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### JcaPKCS10CertificationRequest

          public JcaPKCS10CertificationRequest(PKCS10CertificationRequest requestHolder)

  - ### Method Detail

    - #### setProvider

          public JcaPKCS10CertificationRequest setProvider(java.lang.String providerName)

    - #### setProvider

          public JcaPKCS10CertificationRequest setProvider(java.security.Provider provider)

    - #### getPublicKey

          public java.security.PublicKey getPublicKey()
                                               throws java.security.InvalidKeyException,
                                                      java.security.NoSuchAlgorithmException

      Throws:
        `java.security.InvalidKeyException`
        `java.security.NoSuchAlgorithmException`